Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.3.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
233.3.0.0
Broadcast address
233.3.31.255
First usable
233.3.0.1
Last usable
233.3.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E9030000 · Integer 3909287936 to 3909296127
Reverse DNS zones
0.3.233.in-addr.arpa
1.3.233.in-addr.arpa
2.3.233.in-addr.arpa
3.3.233.in-addr.arpa
4.3.233.in-addr.arpa
5.3.233.in-addr.arpa
6.3.233.in-addr.arpa
7.3.233.in-addr.arpa
8.3.233.in-addr.arpa
9.3.233.in-addr.arpa
10.3.233.in-addr.arpa
11.3.233.in-addr.arpa
12.3.233.in-addr.arpa
13.3.233.in-addr.arpa
14.3.233.in-addr.arpa
15.3.233.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001.00000011.00000000.00000000233.3.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11101001.00000011.00000000.00000000233.3.0.0
Broadcast11101001.00000011.00011111.11111111233.3.31.255
Split into smaller subnets/25

233.3.0.0/19 makes 64 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.3.0.0/25233.3.0.1 to 233.3.0.126233.3.0.127126
2233.3.0.128/25233.3.0.129 to 233.3.0.254233.3.0.255126
3233.3.1.0/25233.3.1.1 to 233.3.1.126233.3.1.127126
4233.3.1.128/25233.3.1.129 to 233.3.1.254233.3.1.255126
5233.3.2.0/25233.3.2.1 to 233.3.2.126233.3.2.127126
6233.3.2.128/25233.3.2.129 to 233.3.2.254233.3.2.255126
7233.3.3.0/25233.3.3.1 to 233.3.3.126233.3.3.127126
8233.3.3.128/25233.3.3.129 to 233.3.3.254233.3.3.255126
9233.3.4.0/25233.3.4.1 to 233.3.4.126233.3.4.127126
10233.3.4.128/25233.3.4.129 to 233.3.4.254233.3.4.255126
11233.3.5.0/25233.3.5.1 to 233.3.5.126233.3.5.127126
12233.3.5.128/25233.3.5.129 to 233.3.5.254233.3.5.255126
13233.3.6.0/25233.3.6.1 to 233.3.6.126233.3.6.127126
14233.3.6.128/25233.3.6.129 to 233.3.6.254233.3.6.255126
15233.3.7.0/25233.3.7.1 to 233.3.7.126233.3.7.127126
16233.3.7.128/25233.3.7.129 to 233.3.7.254233.3.7.255126
17233.3.8.0/25233.3.8.1 to 233.3.8.126233.3.8.127126
18233.3.8.128/25233.3.8.129 to 233.3.8.254233.3.8.255126
19233.3.9.0/25233.3.9.1 to 233.3.9.126233.3.9.127126
20233.3.9.128/25233.3.9.129 to 233.3.9.254233.3.9.255126
21233.3.10.0/25233.3.10.1 to 233.3.10.126233.3.10.127126
22233.3.10.128/25233.3.10.129 to 233.3.10.254233.3.10.255126
23233.3.11.0/25233.3.11.1 to 233.3.11.126233.3.11.127126
24233.3.11.128/25233.3.11.129 to 233.3.11.254233.3.11.255126
25233.3.12.0/25233.3.12.1 to 233.3.12.126233.3.12.127126
26233.3.12.128/25233.3.12.129 to 233.3.12.254233.3.12.255126
27233.3.13.0/25233.3.13.1 to 233.3.13.126233.3.13.127126
28233.3.13.128/25233.3.13.129 to 233.3.13.254233.3.13.255126
29233.3.14.0/25233.3.14.1 to 233.3.14.126233.3.14.127126
30233.3.14.128/25233.3.14.129 to 233.3.14.254233.3.14.255126
31233.3.15.0/25233.3.15.1 to 233.3.15.126233.3.15.127126
32233.3.15.128/25233.3.15.129 to 233.3.15.254233.3.15.255126
33233.3.16.0/25233.3.16.1 to 233.3.16.126233.3.16.127126
34233.3.16.128/25233.3.16.129 to 233.3.16.254233.3.16.255126
35233.3.17.0/25233.3.17.1 to 233.3.17.126233.3.17.127126
36233.3.17.128/25233.3.17.129 to 233.3.17.254233.3.17.255126
37233.3.18.0/25233.3.18.1 to 233.3.18.126233.3.18.127126
38233.3.18.128/25233.3.18.129 to 233.3.18.254233.3.18.255126
39233.3.19.0/25233.3.19.1 to 233.3.19.126233.3.19.127126
40233.3.19.128/25233.3.19.129 to 233.3.19.254233.3.19.255126
41233.3.20.0/25233.3.20.1 to 233.3.20.126233.3.20.127126
42233.3.20.128/25233.3.20.129 to 233.3.20.254233.3.20.255126
43233.3.21.0/25233.3.21.1 to 233.3.21.126233.3.21.127126
44233.3.21.128/25233.3.21.129 to 233.3.21.254233.3.21.255126
45233.3.22.0/25233.3.22.1 to 233.3.22.126233.3.22.127126
46233.3.22.128/25233.3.22.129 to 233.3.22.254233.3.22.255126
47233.3.23.0/25233.3.23.1 to 233.3.23.126233.3.23.127126
48233.3.23.128/25233.3.23.129 to 233.3.23.254233.3.23.255126
49233.3.24.0/25233.3.24.1 to 233.3.24.126233.3.24.127126
50233.3.24.128/25233.3.24.129 to 233.3.24.254233.3.24.255126
51233.3.25.0/25233.3.25.1 to 233.3.25.126233.3.25.127126
52233.3.25.128/25233.3.25.129 to 233.3.25.254233.3.25.255126
53233.3.26.0/25233.3.26.1 to 233.3.26.126233.3.26.127126
54233.3.26.128/25233.3.26.129 to 233.3.26.254233.3.26.255126
55233.3.27.0/25233.3.27.1 to 233.3.27.126233.3.27.127126
56233.3.27.128/25233.3.27.129 to 233.3.27.254233.3.27.255126
57233.3.28.0/25233.3.28.1 to 233.3.28.126233.3.28.127126
58233.3.28.128/25233.3.28.129 to 233.3.28.254233.3.28.255126
59233.3.29.0/25233.3.29.1 to 233.3.29.126233.3.29.127126
60233.3.29.128/25233.3.29.129 to 233.3.29.254233.3.29.255126
61233.3.30.0/25233.3.30.1 to 233.3.30.126233.3.30.127126
62233.3.30.128/25233.3.30.129 to 233.3.30.254233.3.30.255126
63233.3.31.0/25233.3.31.1 to 233.3.31.126233.3.31.127126
64233.3.31.128/25233.3.31.129 to 233.3.31.254233.3.31.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses